Canvas5Parser::Item Struct Reference documentation

Public Member Functions | Public Attributes | List of all members
Canvas5Parser::Item Struct Reference

a structure used to store the item data of a Canvas5Parser More...

`#include <Canvas5Parser.hxx>`

## Public Member Functions
| Item ()
| constructor

## Public Attributes
int | m_id
| the identifier
unsigned | m_type
| the type (if known)
long | m_length
| the data length (from current position)
long | m_pos
| the data beginning position (may be before the current position: v9)
int | m_decal
| the decal position

## Detailed Description

a structure used to store the item data of a Canvas5Parser

## Constructor & Destructor Documentation

## ◆ Item()

Canvas5Parser::Item::Item | ( |  | ) |
| inline

constructor

## Member Data Documentation

## ◆ m_decal

int Canvas5Parser::Item::m_decal

the decal position

Referenced by Canvas5Parser::readArray9().

## ◆ m_id

int Canvas5Parser::Item::m_id

the identifier

Referenced by Canvas5Parser::readArray9(), Canvas5StyleManager::readCharStyles(), Canvas5StyleManager::readDashes(), Canvas5Parser::readExtendedHeader(), Canvas5StyleManager::readFrameStyles9(), Canvas5Parser::readIndexMap(), Canvas5StyleManager::readInks9(), Canvas5Image::readMACORsrc(), Canvas5Graph::readMatrices(), Canvas5StyleManager::readParaStyles(), Canvas5Parser::readSlides(), and Canvas5Parser::readTextLinks().

## ◆ m_length

long Canvas5Parser::Item::m_length

the data length (from current position)

Referenced by Canvas5Parser::readArray9(), Canvas5StyleManager::readCharStyles(), Canvas5StyleManager::readDashes(), Canvas5Parser::readExtendedHeader(), Canvas5Parser::readIndexMap(), Canvas5StyleManager::readInks9(), Canvas5Graph::readMatrices(), Canvas5StyleManager::readParaStyles(), Canvas5Parser::readSlides(), Canvas5Parser::readTextLinks(), and Canvas5Parser::stringDataFunction().

## ◆ m_pos

long Canvas5Parser::Item::m_pos

the data beginning position (may be before the current position: v9)

Referenced by Canvas5Parser::readArray9(), Canvas5StyleManager::readDashes(), Canvas5Parser::readExtendedHeader(), Canvas5Parser::readFileRSRCs(), Canvas5StyleManager::readFrameStyles9(), Canvas5Parser::readIndexMap(), Canvas5StyleManager::readInks(), Canvas5StyleManager::readInks9(), Canvas5Image::readMACORsrc(), Canvas5Graph::readMatrices(), Canvas5Parser::readSlides(), Canvas5Parser::readTextLinks(), and Canvas5Parser::stringDataFunction().

## ◆ m_type

unsigned Canvas5Parser::Item::m_type

the type (if known)

Referenced by Canvas5Parser::readArray9(), Canvas5StyleManager::readFrameStyles9(), and Canvas5StyleManager::readInks9().

The documentation for this struct was generated from the following file:

- Canvas5Parser.hxx